[Beowulf] my beowulf problem

Brian Barrett brbarret at lam-mpi.org
Fri Jan 16 18:49:57 EST 2004


On Jan 16, 2004, at 5:11 AM, prakash borade wrote:

> hello friends
>    i am very new at beowulf cluster
>
> i get a following error
>
> i dont understand why is the lam environment  req for
> mpirun
>
> it would be requ for lam/mpim implementataion

It looks like the mpirun that appears in your path first is the mpirun 
from LAM/MPI.  Both MPICH and LAM/MPI provide an "mpirun" (as well as 
mpicc, mpiCC, and mpif77).  For LAM/MPI to operate, you must "lamboot" 
first, starting a small daemon on each node.  You might want to take a 
look at our user manual:

   http://www.lam-mpi.org/using/docs/

As for why you are using LAM/MPI as opposed to MPICH (which is what I'm 
assuming you meant to ask), it's probably because LAM/MPI is installed 
by default on most Red Hat and Mandrake Linux installations.


Hope this helps,

Brian

-- 
   Brian Barrett
   LAM/MPI developer and all around nice guy
   Have a LAM/MPI day: http://www.lam-mpi.org/

_______________________________________________
Beowulf mailing list, Beowulf at beowulf.org
To change your subscription (digest mode or unsubscribe) visit http://www.beowulf.org/mailman/listinfo/beowulf



More information about the Beowulf mailing list